
namespace BooCompiler.Tests
{
	using NUnit.Framework;
	
	[TestFixture]		
	public class RegressionTestFixture : AbstractCompilerTestCase
	{

		[Test]
		public void BOO_104_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-104-1.boo");
		}
		
		[Test]
		public void BOO_122_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-122-1.boo");
		}
		
		[Test]
		public void BOO_123_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-123-1.boo");
		}
		
		[Test]
		public void BOO_46_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-46-1.boo");
		}
		
		[Test]
		public void BOO_46_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-46-2.boo");
		}
		
		[Test]
		public void BOO_75_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-75-1.boo");
		}
		
		[Test]
		public void BOO_76_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-76-1.boo");
		}
		
		[Test]
		public void BOO_76_2()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-76-2.boo");
		}
		
		[Test]
		public void BOO_77_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-77-1.boo");
		}
		
		[Test]
		public void BOO_85_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-85-1.boo");
		}
		
		[Test]
		public void BOO_90_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-90-1.boo");
		}
		
		[Test]
		public void BOO_99_1()
		{
			RunCompilerTestCase(@"/home/rodrigob/dotnet/boo/tests/testcases/regression/BOO-99-1.boo");
		}
		
	}
}
